Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 09-19-2008, 01:17 PM   #1
BrendenM
Member
BrendenM began at the beginning.
 
Posts: 20
Karma: 10
Join Date: Jan 2007
Device: PRS-500, Blackberry 8700c
Upgrade to 0.4.84 failed

Running Ubuntu Hardy. Followed the instructions as previously (sudo easy_install -U calibre && sudo calibre_postinstall). It failed out on the bash completion however.

Code:
 * Restarting Hardware abstraction layer hald
   ...done.
Setting up bash completion... failed
Traceback (most recent call last):
  File "build/bdist.linux-i686/egg/calibre/linux.py", line 167, in setup_completion
  File "build/bdist.linux-i686/egg/calibre/gui2/lrf_renderer/main.py", line 1, in <module>
  File "build/bdist.linux-i686/egg/calibre/gui2/library.py", line 18, in <module>
  File "build/bdist.linux-i686/egg/calibre/library/database.py", line 11, in <module>
  File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/meta.py", line 11, in <module>
  File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/lit.py", line 12, in <module>
  File "build/bdist.linux-i686/egg/calibre/ebooks/lit/reader.py", line 371, in <module>
  File "build/bdist.linux-i686/egg/calibre/ebooks/lit/reader.py", line 374, in LitReader
TypeError: 'resolve_entities' is an invalid keyword argument for this function
Traceback (most recent call last):
  File "/usr/bin/calibre_postinstall", line 8, in <module>
    load_entry_point('calibre==0.4.84', 'console_scripts', 'calibre_postinstall')()
  File "build/bdist.linux-i686/egg/calibre/linux.py", line 427, in post_install
  File "build/bdist.linux-i686/egg/calibre/linux.py", line 301, in setup_completion
UnboundLocalError: local variable 'manifest' referenced before assignment
And now when I try to launch it also fails.
Code:
$ calibre
Traceback (most recent call last):
  File "/usr/bin/calibre", line 8, in <module>
    load_entry_point('calibre==0.4.84', 'gui_scripts', 'calibre')()
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 277, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2179, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 1912, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "build/bdist.linux-i686/egg/calibre/gui2/main.py", line 14, in <module>
  File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/meta.py", line 11, in <module>
  File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/lit.py", line 12, in <module>
  File "build/bdist.linux-i686/egg/calibre/ebooks/lit/reader.py", line 371, in <module>
  File "build/bdist.linux-i686/egg/calibre/ebooks/lit/reader.py", line 374, in LitReader
TypeError: 'resolve_entities' is an invalid keyword argument for this function
BrendenM is offline   Reply With Quote
Old 09-19-2008, 01:49 PM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,422
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
you need python-lxml version >= 2.0.5
kovidgoyal is online now   Reply With Quote
Old 09-19-2008, 02:06 PM   #3
ashkulz
Addict
ashkulz will become famous soon enoughashkulz will become famous soon enoughashkulz will become famous soon enoughashkulz will become famous soon enoughashkulz will become famous soon enoughashkulz will become famous soon enoughashkulz will become famous soon enough
 
ashkulz's Avatar
 
Posts: 350
Karma: 705
Join Date: Dec 2006
Location: Mumbai, India
Device: Kindle 1/REB 1200
Quote:
Originally Posted by kovidgoyal View Post
you need python-lxml version >= 2.0.5
I think this needs to be documented somewhere in the release notes; I was bitten by this also when I was trying to set up a development environment on Ubuntu.
ashkulz is offline   Reply With Quote
Old 09-19-2008, 02:14 PM   #4
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,422
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Dependencies are listed here: http://calibre.kovidgoyal.net/download_generic
kovidgoyal is online now   Reply With Quote
Old 09-19-2008, 03:38 PM   #5
BrendenM
Member
BrendenM began at the beginning.
 
Posts: 20
Karma: 10
Join Date: Jan 2007
Device: PRS-500, Blackberry 8700c
Should I be moving to the precompiled generic version rather then the Ubuntu specific version?

The Ubuntu directions specifically list Gutsy in it. So my assumption would be that it would work with a newer version (Hardy). As my problem shows it does not and the python-lxml version required is not in the repos.

Now how can I step back a revision cleanly?
BrendenM is offline   Reply With Quote
Old 09-19-2008, 04:45 PM   #6
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,422
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Yeah if you're on a 32bit machine use the binary version as it includes dependencies.
kovidgoyal is online now   Reply With Quote
Old 09-19-2008, 04:48 PM   #7
BrendenM
Member
BrendenM began at the beginning.
 
Posts: 20
Karma: 10
Join Date: Jan 2007
Device: PRS-500, Blackberry 8700c
Quote:
Originally Posted by kovidgoyal View Post
Yeah if you're on a 32bit machine use the binary version as it includes dependencies.
Okay sounds good. What is the proper or best way to remove the older versions that I've installed through the easy_install method?
BrendenM is offline   Reply With Quote
Old 09-19-2008, 04:50 PM   #8
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,422
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
One of the weaknesses of easy_install is that there is no good way to uninstall But if you just delete the folder /usr/lib/python2.5/site-packages/calibre you should be fine (the folder may be in a slightly different location on your system).
kovidgoyal is online now   Reply With Quote
Old 09-21-2008, 05:50 PM   #9
BrendenM
Member
BrendenM began at the beginning.
 
Posts: 20
Karma: 10
Join Date: Jan 2007
Device: PRS-500, Blackberry 8700c
Well I installed the binary version and it converted my database to the flat file format. However when running html2lrf I'm getting a segmentation fault.

This is after running a conversion
Code:
/usr/bin/html2lrf: line 6: 15019 Segmentation fault      ./html2lrf "$@"
And this is after running it with no options
Code:
Created by Kovid Goyal <kovid@kovidgoyal.net>
/usr/bin/html2lrf: line 6: 15036 Segmentation fault      ./html2lrf "$@"
BrendenM is offline   Reply With Quote
Old 09-21-2008, 06:28 PM   #10
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,422
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
That segfault can be ignored (it happens during interpreter shutdown). html2lrf will still wok when you run it on a file.
kovidgoyal is online now   Reply With Quote
Old 10-01-2008, 05:02 PM   #11
olvaso
Junior Member
olvaso began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Oct 2008
Device: sony prs505
I had the same problem (can not install) and was a bit confused, since it was my first attempt at Calibre (at the time it was 0.4.85).

It was pretty obvious that Calibre is the tool to go with so I have reverted to 0.4.83 by

Code:
sudo easy_install --upgrade calibre==0.4.83
After searching I found this thread - and the resolution: I have upgraded to the Intrepid packages on Hardy.

I needed to get only the Intrepid packages for python-lxml and libxml2:
http://packages.ubuntu.com/intrepid/...-lxml/download
http://packages.ubuntu.com/intrepid/...bxml2/download

and Calibre could be installed:

Code:
sudo dpkg -i python-lxml_2.1.1-1_i386.deb libxml2_2.6.32.dfsg-4ubuntu1_i386.deb
sudo easy_install --upgrade calibre
sudo calibre_postinstall
It was the current version: calibre-0.4.89-py2.5-linux-i686.egg that was installed!
olvaso is offline   Reply With Quote
Old 10-23-2008, 02:42 PM   #12
zelemo
Junior Member
zelemo began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Oct 2008
Device: sony prs 505
Still stuck on post_install...

Hi there

I'm still stuck, and would greatly appreciate any assistance.

Using Hardy Heron.

I've installed the libxml2 and libxlst packages from source, and successfully installed (as far as I can tell) the lxml v 2.1.2. I've then done a sudo easy_install -U calibre, and all goes OK. But when I try to do

sudo calibre_postinstall

I get the following:-

Trying to setup udev rules...
* Restarting Hardware abstraction layer hald [ OK ]
Setting up bash completion... failed
Traceback (most recent call last):
File "build/bdist.linux-i686/egg/calibre/linux.py", line 171, in setup_completion
File "build/bdist.linux-i686/egg/calibre/gui2/lrf_renderer/main.py", line 18, in <module>
File "build/bdist.linux-i686/egg/calibre/gui2/library.py", line 18, in <module>
File "build/bdist.linux-i686/egg/calibre/library/database.py", line 11, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/meta.py", line 11, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/lit.py", line 12, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/lit/reader.py", line 13, in <module>
ImportError: /usr/lib/python2.5/site-packages/lxml-2.1.2-py2.5-linux-i686.egg/lxml/etree.so: undefined symbol: xmlSchematronSetValidStructuredErrors
Traceback (most recent call last):
File "/usr/bin/calibre_postinstall", line 8, in <module>
load_entry_point('calibre==0.4.99', 'console_scripts', 'calibre_postinstall')()
File "build/bdist.linux-i686/egg/calibre/linux.py", line 441, in post_install
File "build/bdist.linux-i686/egg/calibre/linux.py", line 315, in setup_completion
UnboundLocalError: local variable 'manifest' referenced before assignment

I tried the suggestion above to use a previous version

sudo easy_install -U calibre==0.4.83

and then after the post-install I get a different error:-

Trying to setup udev rules...
* Restarting Hardware abstraction layer hald [ OK ]
Setting up bash completion... failed
Traceback (most recent call last):
File "build/bdist.linux-i686/egg/calibre/linux.py", line 169, in setup_completion
File "build/bdist.linux-i686/egg/calibre/ebooks/lrf/comic/convert_from.py", line 15, in <module>
File "build/bdist.linux-i686/egg/calibre/utils/config.py", line 27, in <module>
File "/usr/lib/python2.5/os.py", line 171, in makedirs
mkdir(name, mode)
OSError: [Errno 13] Permission denied: '/home/bensonm/.config/calibre'
Traceback (most recent call last):
File "/usr/bin/calibre_postinstall", line 8, in <module>
load_entry_point('calibre==0.4.83', 'console_scripts', 'calibre_postinstall')()
File "build/bdist.linux-i686/egg/calibre/linux.py", line 411, in post_install
File "build/bdist.linux-i686/egg/calibre/linux.py", line 286, in setup_completion
UnboundLocalError: local variable 'manifest' referenced before assignment

Any help would be appreciated. I'm close to giving up and using the Windoze version on a virtual machine, but I really don't want to do that....I have a feeling I'm *that* close to it working...
zelemo is offline   Reply With Quote
Old 10-23-2008, 03:49 PM   #13
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,422
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Code:
ImportError: /usr/lib/python2.5/site-packages/lxml-2.1.2-py2.5-linux-i686.egg/lxml/etree.so: undefined symbol: xmlSchematronSetValidStructuredErrors
This line indicates that you installation of libxml2/libxslt/lxml is broken. You can test this independently of calibre with the following line:

Code:
python -c "from lxml import etree"
Until that command succeeds calibre will not work. I'm guessing this is caused by having som stale libraries onlyour system. You should search for libxml2 libxslt and libexslt and make sure that only the current versions are present.
kovidgoyal is online now   Reply With Quote
Old 10-24-2008, 06:15 PM   #14
zelemo
Junior Member
zelemo began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Oct 2008
Device: sony prs 505
SUCCESS!

Thanks.

I discovered I did indeed have a dual installation of one of the libraries, and the software was picking up the old one. I've fixed it (not happy, as I've got a link across from /usr/lib to /usr/local/lib - but hey! it works).

And then of course, I ran into the QtWeb issue which is discussed on another thread. Suffice it to say that I downloaded a package from the Intrepid repository, and Calibre finally sprang into life!

And I'm very impressed with the software so far.

I have to say it's a pleasure to get such an efficient response from the writer of the software. My congratulations to you on a fine piece of work, and I'll be making a small donation to your site very soon.

Thanks again.
zelemo.

zelemo is offline   Reply With Quote
Old 10-24-2008, 06:25 PM   #15
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,422
Karma: 4961459
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Glad you got it working
kovidgoyal is online now   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Firmware Upgrade Failed! greenapple Ectaco jetBook 6 07-06-2010 03:30 AM
Calibre Binary Install Upgrade Failed Today ksburgess Calibre 8 03-12-2010 07:35 AM
Upgrade 0.6.35 Catalog report failed Imatechie2006 Calibre 4 01-22-2010 11:49 PM
Jetbook Hardware Upgrade Failed Les Hall Ectaco jetBook 4 08-19-2009 11:28 PM
upgrade failed - but not python-lxml fault alexxxm Calibre 7 10-06-2008 09:36 AM


All times are GMT -4. The time now is 11:17 AM.


MobileRead.com is a privately owned, operated and funded community.